{"id":18094,"date":"2018-12-06T07:09:33","date_gmt":"2018-12-06T07:09:33","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15804"},"modified":"2021-03-25T07:53:08","modified_gmt":"2021-03-25T07:53:08","slug":"debug-logs-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/debug-logs-api\/","title":{"rendered":"Debug Logs API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get debug logs of a specific conversation (currently supported only for IVR Channel).<\/p>\n<p class=\"note\">To use this API, app needs the Bot Builder API scope of <em>Debug Logs<\/em>.<\/p>\n<p><b>GET <\/b><code>https:\/\/{{host}}\/api\/{{version}\/{{BotID}}\/debuglogs?identity={{identity}}&amp;channelType={{channelType}}&amp;minimumInfo=true&amp;limit=5&amp;offset=300&amp;timezone={{timezone}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<tr>\n<td>identity<\/td>\n<td>Unique ID associated with the call.<\/td>\n<\/tr>\n<tr>\n<td>channelType<\/td>\n<td>\u00a0\u201c<strong>ivrVoice<\/strong>\u201d currently supported channel<\/td>\n<\/tr>\n<tr>\n<td>minimumInfo<\/td>\n<td>Optional field. Set to &#8220;true&#8221; to get only the summary<\/td>\n<\/tr>\n<tr>\n<td>offset<\/td>\n<td>Specify the page number from which to start fetching the logs. If unspecified, it starts from 0, which is the first page of the list of logs<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>The number of records to fetch. The maximum applicable limit is 50<\/td>\n<\/tr>\n<tr>\n<td>timezone<\/td>\n<td>Ex: America\/New_York<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n   https:\/\/{{host}}\/api\/{{version}}\/{{BotID}}\/debuglogs?identity={{id}}&amp;channelType=ivrVoice&amp;minimumInfo=true&amp;limit=5&amp;offset=300&amp;timezone=America\/New_York' \\  \r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>[\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"nomatch_count\": \"0\",\r\n        \"noinput_count\": \"1\",\r\n        \"debugTitle\": \"Bing\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"intent node initiated\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"debugTitle\": \"Bing\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"intent node processing is completed\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"entity node initiated\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"Waiting for user input\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugMessage\": \"User prompt parsing\",\r\n        \"debugLevel\": \"info\",\r\n        \"timestamp\": \"2018-11-22T13:06:17.304Z\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugMessage\": \"User prompt parsing successful\",\r\n        \"debugLevel\": \"info\",\r\n        \"debugDetail\": \"\\\"Let me know your name\\\\n\\\"\",\r\n        \"timestamp\": \"2018-11-22T13:06:17.325Z\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:31.464Z\",\r\n        \"nomatch_count\": \"2\",\r\n        \"noinput_count\": \"0\",\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugLevel\": \"Warning\",\r\n        \"debugMessage\": \"executeNode has invoked due to MAX_NO_MATCH event\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:07:54.395Z\",\r\n        \"debugTitle\": \"Company: Reached end of dialog\",\r\n        \"debugLevel\": \"Info\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    }\r\n]<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get debug logs of a specific conversation (currently supported only for IVR Channel). To use this API, app needs the Bot Builder API scope of Debug Logs. GET https:\/\/{{host}}\/api\/{{version}\/{{BotID}}\/debuglogs?identity={{identity}}&amp;channelType={{channelType}}&amp;minimumInfo=true&amp;limit=5&amp;offset=300&amp;timezone={{timezone}} Query Parameters Parameter Description host Environment URL, for example, https:\/\/bots.kore.ai BotID Bot ID or Stream ID. You can access it from the General Settings page...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18094","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18094","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18094"}],"version-history":[{"count":8,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18094\/revisions"}],"predecessor-version":[{"id":23086,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18094\/revisions\/23086"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18094"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18094"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18094"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}